spritz 0.24.8 64-bit doesn't work, closes right away

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

Post Reply
mdmarmer
Advanced Hen
Posts: 240
Joined: Thu Oct 19, 2006 1:46
Location: dayton OH usa
Contact:

spritz 0.24.8 64-bit doesn't work, closes right away

Post by mdmarmer » Sun Jan 11, 2009 1:31

I have a 64-bit install on an HP L2000 laptop -- Sabayon 4
I just did equo update, which showed me that entropy and spritz and equo needed to be updated to 0.24.8
I did equo install entropy, and now spritz no longer works. I open it and enter the root password and it immediately closes

Mike

wolfden
Sharecropper
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA
Contact:

Re: spritz 0.24.8 64-bit doesn't work, closes right away

Post by wolfden » Sun Jan 11, 2009 1:40

can u open it from terminal and post the errors if any?

DHalens
Old Dear Hen
Posts: 933
Joined: Thu Apr 10, 2008 23:08
Location: Canary Islands, Spain

Re: spritz 0.24.8 64-bit doesn't work, closes right away

Post by DHalens » Mon Jan 12, 2009 14:57

Not failing here, running it as user or root.

It would be very weird but could it be spritz is still an old version?
Former Sabayon staff (retired).
For any personal questions or whatever, contact me trough my G+ profile

mdmarmer
Advanced Hen
Posts: 240
Joined: Thu Oct 19, 2006 1:46
Location: dayton OH usa
Contact:

Re: spritz 0.24.8 64-bit doesn't work, closes right away

Post by mdmarmer » Thu Jan 15, 2009 1:46

I had tried opening in terminal, before, I'm not sure the messages are helpful

As user
[email protected] ~ $ spritz
QMultiInputContext::changeInputMethod(): index=0, slave=xim

Then the Spritz password prompt comes up, I enter root password and it closes.

As root
localhost mdmarmer # spritz
Traceback (most recent call last):
File "/usr/lib/entropy/spritz/spritz.py", line 36, in <module>
from packages import EntropyPackages
File "/usr/lib/entropy/spritz/packages.py", line 20, in <module>
from etpgui.packages import EntropyPackage, DummyEntropyPackage
File "/usr/lib64/python2.5/site-packages/PIL/__init__.py", line 22, in <module>

File "/usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 48, in <module>
from gtk import _gtk
ImportError: libGL.so.1: cannot open shared object file: No such file or directory

Mike

P.S. -- It looks like a more generalized problem, because I tried to open the Acceleration Manager from the Settings menu, and it doesn''t open either.

mdmarmer
Advanced Hen
Posts: 240
Joined: Thu Oct 19, 2006 1:46
Location: dayton OH usa
Contact:

Re: spritz 0.24.8 64-bit doesn't work, closes right away

Post by mdmarmer » Thu Jan 15, 2009 2:16

Ok -- fixed now --

I did
rm /usr/lib32/xorg/modules/extensions/libglx.so
and
eselect opengl set ati

and everything is OK

I just didn't seem to have the problems right away, so it took me longer to realize that this was the link problem others had posted

Mike

Post Reply